accrue.jl5

## Class AccrueJL5TranslationExtensionInfo

- java.lang.Object
- - polyglot.frontend.AbstractExtensionInfo
  - - polyglot.frontend.ParserlessJLExtensionInfo
    - - polyglot.frontend.JLExtensionInfo
      - - polyglot.ext.jl5.JL5ExtensionInfo
        - - accrue.jl5.AccrueJL5TranslationExtensionInfo

- All Implemented Interfaces:
    polyglot.frontend.ExtensionInfo

      public abstract class AccrueJL5TranslationExtensionInfo
      extends polyglot.ext.jl5.JL5ExtensionInfo

  Polyglot extension that pre-processes java5 code with the JL5 extension, converting it to Java 1.4 code, and then performs an analysis pass.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AccrueJL5TranslationExtensionInfo.AccrueJL5TranslationOptions` This options class uses the options of the succeeding info flow extension pass

  - ### Field Summary

    - ### Fields inherited from class polyglot.ext.jl5.JL5ExtensionInfo

      `outputExtensionInfo`

    - ### Fields inherited from class polyglot.frontend.AbstractExtensionInfo

      `classFileLoader, compiler, default_locations, extFM, nf, scheduler, stats, target_factory, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccrueJL5TranslationExtensionInfo(AccrueExtensionInfo extInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `compilerName()`
    `protected polyglot.main.Options` | `createOptions()`
    `java.lang.String` | `defaultFileExtension()`
    `java.lang.String[]` | `defaultFileExtensions()`

    - ### Methods inherited from class polyglot.ext.jl5.JL5ExtensionInfo

      `createClassFile, createNodeFactory, createScheduler, createTypeSystem, outputExtensionInfo, parser, version`

    - ### Methods inherited from class polyglot.frontend.ParserlessJLExtensionInfo

      `getCompileGoal, initTypeSystem, jobExt, makeLoadedClassResolver`

    - ### Methods inherited from class polyglot.frontend.AbstractExtensionInfo

      `classFileLoader, cleanup, compiler, configureFileManager, configureFileManagerForPostCompiler, createFileManager, createFileSource, createFileSource, defaultLocations, extFileManager, fileExtensions, getOptions, getStats, getToExt, initCompiler, nodeFactory, scheduler, sourceLoader, targetFactory, toString, typeSystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AccrueJL5TranslationExtensionInfo

          public AccrueJL5TranslationExtensionInfo(AccrueExtensionInfo extInfo)

      Parameters:
        `extInfo` - The AccrueExtensionInfo to run on the classes once they have been translated to Java 1.4.

  - ### Method Detail

    - #### defaultFileExtension

          public java.lang.String defaultFileExtension()

      Specified by:
        `defaultFileExtension` in interface `polyglot.frontend.ExtensionInfo`
      Overrides:
        `defaultFileExtension` in class `polyglot.ext.jl5.JL5ExtensionInfo`

    - #### defaultFileExtensions

          public java.lang.String[] defaultFileExtensions()

      Specified by:
        `defaultFileExtensions` in interface `polyglot.frontend.ExtensionInfo`
      Overrides:
        `defaultFileExtensions` in class `polyglot.ext.jl5.JL5ExtensionInfo`

    - #### compilerName

          public java.lang.String compilerName()

      Specified by:
        `compilerName` in interface `polyglot.frontend.ExtensionInfo`
      Overrides:
        `compilerName` in class `polyglot.ext.jl5.JL5ExtensionInfo`

    - #### createOptions

          protected polyglot.main.Options createOptions()

      Overrides:
        `createOptions` in class `polyglot.ext.jl5.JL5ExtensionInfo`